#pragma once
#include "Entity.h"
#define SYSPLAYERINDEX_CREATENAME L"sys_playerindex"
class SysPlayerIndex :
    public Entity
{
public:
    SysPlayerIndex();
    void Step() override;
    int existTime = 180;
    float dx = 0, dy = 0;
    std::weak_ptr<Entity> target;
};

std::shared_ptr<Entity> CreateSysPlayerIndex();